package com.brilliance.isc.common.wfmmod.vo;


import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.bo.Wfe;
import com.brilliance.isc.bo.Wfs;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
@ApiModel(value = "", description = "")
public class WfmmodVo extends AbstractCommonVo {

    private int trsrtyevt = 3;

    private List<String> sro = new ArrayList<>();

    private Wfs wfs;

    private List<Wfe> wfe;

    private Wfe wrkwfe;

    private Trn trn;

    @Override
    public void reset() {
        if (wfs == null) {
            wfs = new Wfs();
        }
        if (wfe == null) {
            wfe = new ArrayList<>();
        }
        if (wrkwfe == null) {
            wrkwfe = new Wfe();
        }
        if (trn == null) {
            trn = new Trn();
        }
    }
}
